Status: Closed Priority: Medium
Subject: In CLI, move non-plankton/glance commands from image to cyclades

Description

Related issues:

related to ./kamaki - Feature # 3512: Image register should return response h... Closed 03/29/2013

History

#1 - 03/22/2013 05:28 pm - Stavros Sachtouris

Update:

All glance commands should be available as:

kamaki image-glance XXX

All compute commands should be available as:

kamaki image-compute XXX

The old kamaki image prefix will now be an alias for the kamaki-glance set

#2 - 04/02/2013 01:48 pm - Stavros Sachtouris

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

It has been implemented like this:

Plankton / Glance commands:

kamaki image <...>

Compute Image commands:

kamaki image compute <...>

This implementation demands less changes in kamaki cli, which is designed to support subcommands seperated with empty spaces, in an infinetely deep

level

#3 - 04/15/2013 06:22 pm - Stavros Sachtouris

- Status changed from Resolved to Closed
